<template>

    <body class="flex flex-col items-center justify-center w-screen bg-base-100 text-gray-800 p-10" style="height: calc(100vh - 64px)">


        <div class="w-full flex flex-grow justify-center ">

            <div class="flex flex-col mr-8 w-2/7 bg-white shadow-xl rounded-lg overflow-hidden">
                <div class="flex flex-col flex-grow h-0  overflow-auto ">
                    <div class="flex bg-primary w-full items-center p-8 justify-between ">
                        <p class="text-white text-2xl font-semibold">Chats</p>
                        <button
                            class="btn btn-sm rounded-full btn-secondary text-white text-sm font bold ">redactar</button>
                    </div>
                    <div class="flex w-full mt-2 items-center p-2 border-b-2 border-neutral">
                        <div class="flex-shrink-0 h-10 w-10 rounded-full bg-gray-300 mr-2"></div>
                        <div class=" text-black p-3 w-11/12 ">
                            <p class="font-semibold">Juan perez</p>
                            <p class="text-sm">Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>
                        </div>
                    </div>
                    <div class="flex w-full mt-2 items-center p-2 border-b-2 border-neutral">
                        <div class="flex-shrink-0 h-10 w-10 rounded-full bg-gray-300 mr-2"></div>
                        <div class=" text-black p-3 w-11/12 ">
                            <p class="font-semibold">Juan perez</p>
                            <p class="text-sm">Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>
                        </div>
                    </div>
                    <div class="flex w-full mt-2 items-center p-2 border-b-2 border-neutral">
                        <div class="flex-shrink-0 h-10 w-10 rounded-full bg-gray-300 mr-2"></div>
                        <div class=" text-black p-3 w-11/12 ">
                            <p class="font-semibold">Juan perez</p>
                            <p class="text-sm">Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>
                        </div>
                    </div>
                    <div class="flex w-full mt-2 items-center p-2 border-b-2 border-neutral">
                        <div class="flex-shrink-0 h-10 w-10 rounded-full bg-gray-300 mr-2"></div>
                        <div class=" text-black p-3 w-11/12 ">
                            <p class="font-semibold">Juan perez</p>
                            <p class="text-sm">Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>
                        </div>
                    </div>
                    <div class="flex w-full mt-2 items-center p-2 border-b-2 border-neutral">
                        <div class="flex-shrink-0 h-10 w-10 rounded-full bg-gray-300 mr-2"></div>
                        <div class=" text-black p-3 w-11/12 ">
                            <p class="font-semibold">Juan perez</p>
                            <p class="text-sm">Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>
                        </div>
                    </div>
                    <div class="flex w-full mt-2 items-center p-2 border-b-2 border-neutral">
                        <div class="flex-shrink-0 h-10 w-10 rounded-full bg-gray-300 mr-2"></div>
                        <div class=" text-black p-3 w-11/12 ">
                            <p class="font-semibold">Juan perez</p>
                            <p class="text-sm">Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>
                        </div>
                    </div>
                    <div class="flex w-full mt-2 items-center p-2 border-b-2 border-neutral">
                        <div class="flex-shrink-0 h-10 w-10 rounded-full bg-gray-300 mr-2"></div>
                        <div class=" text-black p-3 w-11/12 ">
                            <p class="font-semibold">Juan perez</p>
                            <p class="text-sm">Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>
                        </div>
                    </div>
                    <div class="flex w-full mt-2 items-center p-2 border-b-2 border-neutral">
                        <div class="flex-shrink-0 h-10 w-10 rounded-full bg-gray-300 mr-2"></div>
                        <div class=" text-black p-3 w-11/12 ">
                            <p class="font-semibold">Juan perez</p>
                            <p class="text-sm">Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>
                        </div>
                    </div>
                    <div class="flex w-full mt-2 items-center p-2 border-b-2 border-neutral">
                        <div class="flex-shrink-0 h-10 w-10 rounded-full bg-gray-300 mr-2"></div>
                        <div class=" text-black p-3 w-11/12 ">
                            <p class="font-semibold">Juan perez</p>
                            <p class="text-sm">Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>
                        </div>
                    </div>
                </div>
            </div>
                   
            <div class="flex flex-col min-w-2/3 w-2/3 bg-white shadow-xl rounded-lg overflow-hidden">
                <div class="flex flex-col flex-grow h-0 p-4 overflow-auto">
                    <div class="flex w-full mt-2 space-x-3 max-w-xs">
                        <div class="flex-shrink-0 h-10 w-10 rounded-full bg-gray-300"></div>
                        <div>
                            <div class="border-secondary border-2 text-black p-3 rounded-lg">
                                <p class="text-sm">Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>
                            </div>
                            <span class="text-xs text-gray-500 leading-none">2 min ago</span>
                        </div>
                    </div>
                    <div class="flex w-full mt-2 space-x-3 max-w-xs ml-auto justify-end">
                        <div>
                            <div class=" border-secondary border-2 text-black p-3 rounded-lg">
                                <p class="text-sm">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do
                                    eiusmod.</p>
                            </div>
                            <span class="text-xs text-gray-500 leading-none">2 min ago</span>
                        </div>
                        <div class="flex-shrink-0 h-10 w-10 rounded-full bg-gray-300"></div>
                    </div>
                    <div class="flex w-full mt-2 space-x-3 max-w-xs ml-auto justify-end">
                        <div>
                            <div class="border-secondary border-2 text-black p-3 rounded-lg">
                                <p class="text-sm">Lorem ipsum dolor sit amet.</p>
                            </div>
                            <span class="text-xs text-gray-500 leading-none">2 min ago</span>
                        </div>
                        <div class="flex-shrink-0 h-10 w-10 rounded-full bg-gray-300"></div>
                    </div>
                    <div class="flex w-full mt-2 space-x-3 max-w-xs">
                        <div class="flex-shrink-0 h-10 w-10 rounded-full bg-gray-300"></div>
                        <div>
                            <div class="border-secondary border-2 text-black p-3 rounded-lg">
                                <p class="text-sm">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do
                                    eiusmod tempor incididunt ut labore et dolore magna aliqua. </p>
                            </div>
                            <span class="text-xs text-gray-500 leading-none">2 min ago</span>
                        </div>
                    </div>
                    <div class="flex w-full mt-2 space-x-3 max-w-xs ml-auto justify-end">
                        <div>
                            <div class="border-secondary border-2 text-black p-3 rounded-lg">
                                <p class="text-sm">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do
                                    eiusmod tempor incididunt ut labore et dolore magna aliqua. </p>
                            </div>
                            <span class="text-xs text-gray-500 leading-none">2 min ago</span>
                        </div>
                        <div class="flex-shrink-0 h-10 w-10 rounded-full bg-gray-300"></div>
                    </div>
                    <div class="flex w-full mt-2 space-x-3 max-w-xs ml-auto justify-end">
                        <div>
                            <div class="border-secondary border-2 text-black p-3 rounded-lg">
                                <p class="text-sm">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do
                                    eiusmod tempor incididunt.</p>
                            </div>
                            <span class="text-xs text-gray-500 leading-none">2 min ago</span>
                        </div>
                        <div class="flex-shrink-0 h-10 w-10 rounded-full bg-gray-300"></div>
                    </div>
                    <div class="flex w-full mt-2 space-x-3 max-w-xs ml-auto justify-end">
                        <div>
                            <div class="border-secondary border-2 text-black p-3 rounded-lg">
                                <p class="text-sm">Lorem ipsum dolor sit amet.</p>
                            </div>
                            <span class="text-xs text-gray-500 leading-none">2 min ago</span>
                        </div>
                        <div class="flex-shrink-0 h-10 w-10 rounded-full bg-gray-300"></div>
                    </div>
                    <div class="flex w-full mt-2 space-x-3 max-w-xs">
                        <div class="flex-shrink-0 h-10 w-10 rounded-full bg-gray-300"></div>
                        <div>
                            <div class="border-secondary border-2 text-black p-3 rounded-lg">
                                <p class="text-sm">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do
                                    eiusmod tempor incididunt ut labore et dolore magna aliqua. </p>
                            </div>
                            <span class="text-xs text-gray-500 leading-none">2 min ago</span>
                        </div>
                    </div>
                    <div class="flex w-full mt-2 space-x-3 max-w-xs ml-auto justify-end">
                        <div>
                            <div class="border-secondary border-2 text-black p-3 rounded-lg">
                                <p class="text-sm">Lorem ipsum dolor sit.</p>
                            </div>
                            <span class="text-xs text-gray-500 leading-none">2 min ago</span>
                        </div>
                        <div class="flex-shrink-0 h-10 w-10 rounded-full bg-gray-300"></div>
                    </div>
                </div>

                <div class=" flex items-center bg-neutral p-4">
                    <input class="flex items-center h-10 w-11/12 mr-4 rounded-full px-3 text-sm" type="text"
                        placeholder="Escribe un mensaje aqui...">
                    <button
                            class="btn btn-lg rounded-full btn-secondary text-white text-sm font bold ">enviar</button>                        
                </div>
            </div>
        </div>
    </body>
</template>